Update assignment record
curl --request PATCH \
--url https://api.perscom.io/{version}/assignment-records/{assignment_record} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": 123,
"status_id": 123,
"unit_id": 123,
"position_id": 123,
"specialty_id": 123,
"document_id": 123,
"author_id": 123,
"text": "<string>"
}
'import requests
url = "https://api.perscom.io/{version}/assignment-records/{assignment_record}"
payload = {
"user_id": 123,
"status_id": 123,
"unit_id": 123,
"position_id": 123,
"specialty_id": 123,
"document_id": 123,
"author_id": 123,
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: 123,
status_id: 123,
unit_id: 123,
position_id: 123,
specialty_id: 123,
document_id: 123,
author_id: 123,
text: '<string>'
})
};
fetch('https://api.perscom.io/{version}/assignment-records/{assignment_record}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user_id": 123,
"id": 123,
"status_id": 123,
"unit_id": 123,
"position_id": 123,
"specialty_id": 123,
"document_id": 123,
"author_id": 123,
"text": "<string>",
"label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
"type": "AuthenticationException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "A valid subscription is required to complete this request.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "The requested resource or endpoint could not be found.",
"type": "NotFoundHttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "The [field] is [required|invalid|etc].",
"type": "ValidationException",
"errors": {
"email": [
"The email field is required.",
"The email must be a valid email address."
],
"password": [
"The password must be at least 8 characters.",
"The password must contain at least one uppercase letter."
]
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
"type": "ThrottleRequestsException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}{
"error": {
"message": "The API is currently down for maintenance. Please check back later.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}Assignment Records
Update assignment record
PATCH
/
{version}
/
assignment-records
/
{assignment_record}
Update assignment record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The API version to use.
Available options:
v1, v2 Query Parameters
Available options:
attachments, author, author.*, comments, comments.*, document, position, specialty, status, unit, unit.*, user, user.* Body
application/json
The ID of the user this assignment record belongs to.
The type of assignment record.
Available options:
primary, secondary The ID of the status assigned to the user.
The ID of the unit assigned to the user.
The ID of the position assigned to the user.
The ID of the specialty assigned to the user.
The ID of the document associated with this assignment record.
The ID of the user who created this assignment record.
Additional notes or information about this assignment record. Supports HTML.
Maximum string length:
65535Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I